POST /projects/{project_id}/keys/{key_id}/copy
Copy the secret of a sealed key after re-authentication (never cached, logged)
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
key_id | path | string · required |
Request body
application/json
| Field | Type | Description |
|---|---|---|
password | string · required | |
totp_code | string |
Responses
| Status | Description | Body |
|---|---|---|
200 | key (the secret, Cache-Control no-store) | |
403 | invalid_credentials, two_factor_required, invalid_totp | |
409 | key_revoked, key_not_copyable | |
429 | too_many_attempts (Retry-After) | |
503 | key_vault_unavailable, key_vault_mismatch |
Examples
curl
curl -X POST "$GALON_API_BASE/projects/<project_id>/keys/<key_id>/copy" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"password": "string"}'